> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mobilerun.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List credentials

> Returns a paginated list of all credentials belonging to the authenticated user across every package. Accepts standard pagination query parameters and responds with the credential items plus pagination metadata.



## OpenAPI

````yaml /api-reference/phones.yaml get /credentials
openapi: 3.1.0
info:
  title: Phones
  version: v1
servers:
  - url: https://api.mobilerun.ai
    description: Droidrun Cloud API
security:
  - bearerAuth: []
paths:
  /credentials:
    get:
      tags:
        - App Credentials
      summary: List credentials
      description: >-
        Returns a paginated list of all credentials belonging to the
        authenticated user across every package. Accepts standard pagination
        query parameters and responds with the credential items plus pagination
        metadata.
      operationId: listAllUserCredentials
      parameters:
        - schema:
            type: integer
            exclusiveMinimum: 0
            default: 1
          required: false
          name: page
          in: query
        - schema:
            type: integer
            exclusiveMinimum: 0
            default: 10
          required: false
          name: pageSize
          in: query
      responses:
        '200':
          description: Credentials retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CredentialList'
        '401':
          description: Unauthorized
        '500':
          description: Internal Server Error
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Mobilerun from '@mobilerun/sdk';

            const client = new Mobilerun({
              apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
            });

            const credentials = await client.credentials.list();

            console.log(credentials.items);
        - lang: Python
          source: |-
            import os
            from mobilerun_sdk import Mobilerun

            client = Mobilerun(
                api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"),  # This is the default and can be omitted
            )
            credentials = client.credentials.list()
            print(credentials.items)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/stainless-sdks/droidrun-cloud-go\"\n\t\"github.com/stainless-sdks/droidrun-cloud-go/option\"\n)\n\nfunc main() {\n\tclient := mobileruncloud.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tcredentials, err := client.Credentials.List(context.TODO(), mobileruncloud.CredentialListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", credentials.Items)\n}\n"
        - lang: CLI
          source: |-
            mobilerun-cloud credentials list \
              --api-key 'My API Key'
components:
  schemas:
    CredentialList:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/Credential'
        pagination:
          $ref: '#/components/schemas/Pagination'
      required:
        - items
        - pagination
    Credential:
      type: object
      properties:
        userId:
          type: string
        packageName:
          type: string
        secretPath:
          type: string
        credentialName:
          type: string
        fields:
          type: array
          items:
            type: object
            properties:
              fieldType:
                type: string
                enum:
                  - email
                  - username
                  - password
                  - api_token
                  - phone_number
                  - two_factor_secret
                  - backup_codes
              value:
                type: string
                minLength: 1
            required:
              - fieldType
              - value
      required:
        - userId
        - packageName
        - secretPath
        - credentialName
        - fields
    Pagination:
      type: object
      properties:
        hasNext:
          type: boolean
        hasPrev:
          type: boolean
        page:
          type: integer
          minimum: 1
        pageSize:
          type: integer
          minimum: 1
        pages:
          type: integer
          minimum: 0
        total:
          type: integer
          minimum: 0
      required:
        - hasNext
        - hasPrev
        - page
        - pageSize
        - pages
        - total
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Opaque
      description: Bearer token via Authorization header

````